System.Design 1.0.5000.0 2.0.0.0

A class that is able to provide a data source can implement this interface to enable access to its data source by objects that use the interface. This interface is used by the and classes.

Defines an interface that a control designer can implement to provide access to a data source.

- Method
  System.Collections.IEnumerable To be added.

  Gets the selected data member from the selected data source.

  The selected data member from the selected data source, if the control allows the user to select an (such as a ) for the data source, and provides a DataMember property to select a particular list (or ) within the data source.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object To be added.

  Gets a reference to the selected data source from the data source provider.

  The currently selected data source object of this data source provider.

  1.0.5000.0
  2.0.0.0